Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions
PGEventHandler Class Reference

`#include <pgedit.h>`

Inheritance diagram for PGEventHandler:

List of all members.

## Public Member Functions

| PGEventHandler (tesseract::Tesseract *tess)
void | Notify (const SVEvent *sve)
Public Member Functions inherited from SVEventHandler
virtual | ~SVEventHandler ()

## Detailed Description

Definition at line 37 of file pgedit.h.

## Constructor & Destructor Documentation

PGEventHandler::PGEventHandler | ( | tesseract::Tesseract * | tess | ) |

inline

Definition at line 39 of file pgedit.h.

: tess_(tess) {
}

## Member Function Documentation

void PGEventHandler::Notify | ( | const SVEvent * | event | ) |

virtual

notify()

Event handler that processes incoming events, either forwarding them to process_cmd_win_event or process_image_event.

Reimplemented from SVEventHandler.

Definition at line 234 of file pgedit.cpp.

{
char myval = '0';
if (event->type == SVET_POPUP) {
pe->Notify(event);
} // These are handled by ParamsEditor
else if (event->type == SVET_EXIT) { stillRunning = false; }
else if (event->type == SVET_MENU) {
if (strcmp(event->parameter, "true") == 0) { myval = 'T'; }
else if (strcmp(event->parameter, "false") == 0) { myval = 'F'; }
tess_->process_cmd_win_event(event->command_id, &myval);
}
else {
tess_->process_image_event(*event);
}
}

The documentation for this class was generated from the following files:

- /mnt/data/src/tesseract-ocr/ccmain/pgedit.h
- /mnt/data/src/tesseract-ocr/ccmain/pgedit.cpp